/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;



import com.cosmodas.EntCosmos.WcDetalleRequisicionProductopapel;

import javax.ejb.Local;
import java.util.List;


@Local
public interface WcDetalleRequesicionProductopapelFacadeLocal {

    void create(WcDetalleRequisicionProductopapel WcDetalleRequisicionProductopapel);

    void edit(WcDetalleRequisicionProductopapel WcDetalleRequisicionProductopapel);

    void remove(WcDetalleRequisicionProductopapel WcDetalleRequisicionProductopapel);

    WcDetalleRequisicionProductopapel find(Object id);

    List<WcDetalleRequisicionProductopapel> findAll();

    List<WcDetalleRequisicionProductopapel> findRange(int[] range);

    int count();

}
